## Index

### Variables

- mustBeAsyncIterableOrUndefined
- mustBeAsyncQueryableOrUndefined
- mustBeComparerOrUndefined
- mustBeEqualerOrUndefined
- mustBeFunctionOrUndefined
- mustBeObjectOrNull
- mustBePossiblyAsyncQueryableOrUndefined
- mustBeQueryableOrUndefined

## Variables

### Const mustBeAsyncIterableOrUndefined

mustBeAsyncIterableOrUndefined: Object = mayBeUndefined(mustBeAsyncIterable)

- Defined in internal/assert.ts:134

internal

### Const mustBeAsyncQueryableOrUndefined

mustBeAsyncQueryableOrUndefined: Object = mayBeUndefined(mustBeAsyncQueryable)

- Defined in internal/assert.ts:152

internal

### Const mustBeComparerOrUndefined

mustBeComparerOrUndefined: Object = mayBeUndefined(mustBeComparer)

- Defined in internal/assert.ts:236

internal

### Const mustBeEqualerOrUndefined

mustBeEqualerOrUndefined: Object = mayBeUndefined(mustBeEqualer)

- Defined in internal/assert.ts:227

internal

### Const mustBeFunctionOrUndefined

mustBeFunctionOrUndefined: mayBeUndefined = mayBeUndefined(mustBeFunction)

- Defined in internal/assert.ts:78

internal

### Const mustBeObjectOrNull

mustBeObjectOrNull: mayBeNull = mayBeNull(mustBeObject)

- Defined in internal/assert.ts:70

internal

### Const mustBePossiblyAsyncQueryableOrUndefined

mustBePossiblyAsyncQueryableOrUndefined: Object = mayBeUndefined(mustBePossiblyAsyncQueryable)

- Defined in internal/assert.ts:143

internal

### Const mustBeQueryableOrUndefined

mustBeQueryableOrUndefined: Object = mayBeUndefined(mustBeQueryable)

- Defined in internal/assert.ts:125

internal

Generated using TypeDoc